$AdfDhtmlPanelSpringboardPeer$$.$_SUB_ID_MAP$ = {items:"tabh", $conveyor_belt_container$:"cbc", $conveyor_belt$:"cbct", $end_overflow_indicator$:"ecbic", $start_overflow_indicator$:"scbic", $selected_pointer$:"sbsp", $body_viewport$:"tabbvp", icon:"icon"};
$AdfDhtmlPanelSpringboardPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlPanelSpringboardPeer$$$$$GetSubIdDomElement$$($subElementId$$46$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$46$$);
  var $component$$2446$$ = this.$getComponent$(), $elmt$$2$$ = $AdfDhtmlShowDetailItemPeer$$.$getSubIdDomElementForShowDetailItem$($subElementId$$46$$);
  return $elmt$$2$$ ? $elmt$$2$$ : $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($subElementId$$46$$, $AdfDhtmlPanelSpringboardPeer$$.$_SUB_ID_MAP$, $component$$2446$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelSpringboardPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlPanelSpringboardPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlPanelSpringboardPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlPanelSpringboardPeer$$$$$GetBestMatchSubId$$($domElement$$671$$) {
  var $subid$$14$$ = $AdfDhtmlShowDetailItemPeer$$.$getBestMatchSubIdForShowDetailItem$($domElement$$671$$);
  return $subid$$14$$ ? $subid$$14$$ : $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$671$$, this, $AdfDhtmlPanelSpringboardPeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelSpringboardPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlPanelSpringboardPeer$$.prototype.$GetBestMatchSubId$});
